<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>AsyncConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.config</a> &gt; <span class="el_source">AsyncConfiguration.java</span></div><h1>AsyncConfiguration.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.config;

import io.github.jhipster.async.ExceptionHandlingAsyncTaskExecutor;
import io.github.jhipster.config.JHipsterProperties;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.aop.interceptor.AsyncUncaughtExceptionHandler;
import org.springframework.aop.interceptor.SimpleAsyncUncaughtExceptionHandler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.*;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;
import org.springframework.scheduling.annotation.SchedulingConfigurer;
import org.springframework.scheduling.config.ScheduledTaskRegistrar;

import java.util.concurrent.Executor;
import java.util.concurrent.Executors;

@Configuration
@EnableAsync
@EnableScheduling
public class AsyncConfiguration implements AsyncConfigurer, SchedulingConfigurer {

<span class="fc" id="L25">    private final Logger log = LoggerFactory.getLogger(AsyncConfiguration.class);</span>

    private final JHipsterProperties jHipsterProperties;

<span class="fc" id="L29">    public AsyncConfiguration(JHipsterProperties jHipsterProperties) {</span>
<span class="fc" id="L30">        this.jHipsterProperties = jHipsterProperties;</span>
<span class="fc" id="L31">    }</span>

    @Override
    @Bean(name = &quot;taskExecutor&quot;)
    public Executor getAsyncExecutor() {
<span class="fc" id="L36">        log.debug(&quot;Creating Async Task Executor&quot;);</span>
<span class="fc" id="L37">        ThreadPoolTaskExecutor executor = new ThreadPoolTaskExecutor();</span>
<span class="fc" id="L38">        executor.setCorePoolSize(jHipsterProperties.getAsync().getCorePoolSize());</span>
<span class="fc" id="L39">        executor.setMaxPoolSize(jHipsterProperties.getAsync().getMaxPoolSize());</span>
<span class="fc" id="L40">        executor.setQueueCapacity(jHipsterProperties.getAsync().getQueueCapacity());</span>
<span class="fc" id="L41">        executor.setThreadNamePrefix(&quot;test-app-j-hipster-Executor-&quot;);</span>
<span class="fc" id="L42">        return new ExceptionHandlingAsyncTaskExecutor(executor);</span>
    }

    @Override
    public AsyncUncaughtExceptionHandler getAsyncUncaughtExceptionHandler() {
<span class="fc" id="L47">        return new SimpleAsyncUncaughtExceptionHandler();</span>
    }
    
    @Override
    public void configureTasks(ScheduledTaskRegistrar taskRegistrar) {
<span class="fc" id="L52">        taskRegistrar.setScheduler(scheduledTaskExecutor());</span>
<span class="fc" id="L53">    }</span>

    @Bean
    public Executor scheduledTaskExecutor() {
<span class="fc" id="L57">        return Executors.newScheduledThreadPool(jHipsterProperties.getAsync().getCorePoolSize());</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>